curl_error
curl_getinfo
cURL Functions
PHP Manual

# curl_exec

(PHP 4 >= 4.0.2, PHP 5)

curl_exec — Perform a cURL session

### Description

mixed curl_exec ( resource `$ch` )

Execute the given cURL session.

This function should be called after initializing a cURL session and all the options for the session are set.

### Parameters

`ch`

  A cURL handle returned by curl_init().

### Return Values

Returns `TRUE` on success or `FALSE` on failure. However, if the `CURLOPT_RETURNTRANSFER` option is set, it will return the result on success, `FALSE` on failure.

### Examples

Example #1 Fetching a web page

`<?php
// create a new cURL resource
$ch = curl_init();
// set URL and other appropriate options
curl_setopt($ch, CURLOPT_URL, "http://www.example.com/");
curl_setopt($ch, CURLOPT_HEADER, 0);
// grab URL and pass it to the browser
curl_exec($ch);
// close cURL resource, and free up system resources
curl_close($ch);
?>`

### See Also

- curl_multi_exec()

curl_error
curl_getinfo
cURL Functions
PHP Manual